[arch-commits] Commit in valgrind/trunk (PKGBUILD)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Sun Jan 7 11:25:38 UTC 2018


    Date: Sunday, January 7, 2018 @ 11:25:37
  Author: bpiotrowski
Revision: 314189

Fix find invocation; strip binaries only if debug is not set

Modified:
  valgrind/trunk/PKGBUILD

----------+
 PKGBUILD |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-01-07 08:49:53 UTC (rev 314188)
+++ PKGBUILD	2018-01-07 11:25:37 UTC (rev 314189)
@@ -4,7 +4,7 @@
 
 pkgname=valgrind
 pkgver=3.13.0
-pkgrel=6
+pkgrel=7
 pkgdesc='Tool to help find memory-management problems in programs'
 arch=('x86_64')
 license=('GPL')
@@ -101,7 +101,10 @@
 package() {
   cd ${pkgname}-${pkgver}
   make DESTDIR="${pkgdir}" install
-  find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {}+ || true
+
+  if check_option 'debug' n; then
+    find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {} + || true
+  fi
 }
 
 # vim: ts=2 sw=2 et:



More information about the arch-commits mailing list